## lubuntu-default-settings 24.10.1

=== snap-installation-monitor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(snap-installation-monitor)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
find_package(Qt6 COMPONENTS Widgets DBus REQUIRED)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_executable(snap-installation-monitor main.cpp)
target_link_libraries(snap-installation-monitor Qt6::Widgets Qt6::DBus)

=== debian/changelog ===
lubuntu-default-settings (24.10.1) oracular; urgency=medium

  [ Aaron Rainbolt ]
  * Fix theming. (LP: #2080442)

  [ Simon Quigley ]
  * Switch back to qpdfview from okular.
  * Port snap-installation-monitor to Qt 6.
  * Switch to the Qt 6 LibreOffice frontend.
  * Bump Standards-version to 4.7.0, no changes needed.
  * Various Lintian complaints.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 11 Sep 2024 19:12:04 -0500

=== debian/control ===
Source: lubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: cmake, debhelper-compat (= 13), intltool, qt6-base-dev
Standards-Version: 4.7.0
Homepage: https://lubuntu.me
Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
Vcs-Git: https://git.launchpad.net/lubuntu-default-settings
Rules-Requires-Root: no

Package: lubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: fonts-ubuntu,
         lubuntu-artwork,
         lxqt-session,
         openbox,
         policykit-desktop-privileges,
         qt6-style-kvantum,
         qt6-style-kvantum-l10n,
         ${misc:Depends}
Recommends: breeze-gtk-theme,
            qt6-style-kvantum-themes
Description: default settings for Lubuntu
 Various system settings tailored for Lubuntu's default session. This includes
 default settings, applications, and themes.

Package: lubuntu-snap-installation-monitor
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple notifier for snap installation
 Let the user know if snaps are still being installed in the background when
 booting up their desktop environment.

## lubuntu-default-settings 25.04.1

=== debian/changelog ===
lubuntu-default-settings (25.04.1) plucky; urgency=medium

  * Welcome to Plucky Puffin!
  * Remove snap-installation-monitor (LP: #2061318).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 Oct 2024 19:47:26 -0500

## lubuntu-default-settings 25.04.2

=== debian/changelog ===
lubuntu-default-settings (25.04.2) plucky; urgency=medium

  * Default to the Ubuntu color scheme for QTerminal.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 11 Dec 2024 02:03:08 -0600

## lubuntu-default-settings 25.04.3

=== debian/changelog ===
lubuntu-default-settings (25.04.3) plucky; urgency=medium

  * Spin off the Ubuntu color scheme into a Lubuntu color scheme and default
    to that.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 31 Jan 2025 11:13:15 -0600

## lubuntu-default-settings 25.04.4

=== debian/changelog ===
lubuntu-default-settings (25.04.4) plucky; urgency=medium

  * Tone down the foreground a bit. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 07 Feb 2025 09:17:45 +0000

## lubuntu-default-settings 25.04.5

=== debian/changelog ===
lubuntu-default-settings (25.04.5) plucky; urgency=medium

  * Replace mainmenu with fancymenu in panel.

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 12 Feb 2025 07:19:00 +0000

## lubuntu-default-settings 25.04.6

=== debian/changelog ===
lubuntu-default-settings (25.04.6) plucky; urgency=medium

  * Update shortcuts for fancymenu change. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 14 Feb 2025 07:41:54 +0000

## lubuntu-default-settings 25.04.7

=== debian/changelog ===
lubuntu-default-settings (25.04.7) plucky; urgency=medium

  * Add a default Neochat configuration file, for future switching.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 17 Feb 2025 00:52:10 -0600

## lubuntu-default-settings 25.04.8

=== debian/changelog ===
lubuntu-default-settings (25.04.8) plucky; urgency=medium

  * Add explicit configuration for SDDM. 
  * Prohibit virtual keyboard on SDDM. (LP: #2091958)
  * Add explicit configuration for Picom. (LP: #2100464)
  * Remove Firefox from quicklaunch. 
  * Add more sane defaults for fancymenu. 
  * Populate favorites in fancymenu.

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 05 Mar 2025 02:54:39 +0000

## lubuntu-default-settings 25.04.9

=== debian/changelog ===
lubuntu-default-settings (25.04.9) plucky; urgency=medium

  * Create a LXQt module for Picom. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 11 Mar 2025 02:35:31 +0000

## lubuntu-default-settings 25.04.10

=== debian/changelog ===
lubuntu-default-settings (25.04.10) plucky; urgency=medium

  * Added Comment to Picom LXQt module so executable shown in tooltip. 
  * Added LXQt Modules for the following (LP: #2059346):
    * Bluetooth Manager (blueman)
    * Lubuntu Update
    * Clipboard Manager (qlipper)
    * Screensaver (xscreensaver)
    * Network Manager (nm-tray)
    * Print Manager (print-applet)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 16 Mar 2025 20:45:11 +0000

## lubuntu-default-settings 25.04.11

=== debian/changelog ===
lubuntu-default-settings (25.04.11) plucky; urgency=medium

  * Rename LXQt Modules to match those being superceded (LP: #2103824) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 21 Mar 2025 18:42:31 +0000

## lubuntu-default-settings 25.04.12

=== debian/changelog ===
lubuntu-default-settings (25.04.12) plucky; urgency=medium

  * Change menu file to -compact to improve preferences display. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 23 Mar 2025 01:11:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: cmake, debhelper-compat (= 13), intltool, qt6-base-dev
+Build-Depends: debhelper-compat (= 13), intltool
 Standards-Version: 4.7.0
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
@@ -26,10 +26,3 @@
 Description: default settings for Lubuntu
  Various system settings tailored for Lubuntu's default session. This includes
  default settings, applications, and themes.
-
-Package: lubuntu-snap-installation-monitor
-Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Simple notifier for snap installation
- Let the user know if snaps are still being installed in the background when
- booting up their desktop environment.

## lubuntu-default-settings 25.10.1

=== Makefile ===
#!/usr/bin/make -f

all:
	make -C src/usr/share/xsessions/po/
	rm -rf src/usr/share/xsessions/po/ src/usr/share/xsessions/*.in

=== debian/changelog ===
lubuntu-default-settings (25.10.1) questing; urgency=medium

  * Switch to Papirus icon theme, ePapirus is no more. (LP: #2111542)
  * Update copyright file.
  * Bump Standards-Version to 4.7.2, no changes necessary.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 08 Jun 2025 01:58:36 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
 Vcs-Git: https://git.launchpad.net/lubuntu-default-settings
